Avro C#

Public Member Functions | Properties | List of all members
Avro.IO.ByteBufferInputStream Class Reference

Utility to present MemoryStreams as an InputStream. More...

Inheritance diagram for Avro.IO.ByteBufferInputStream:

## Public Member Functions
| ByteBufferInputStream (IList< MemoryStream > buffers)
| Initializes a new instance of a ByteBufferInputStream. More...
override int | Read (byte[] b, int off, int len)
Public Member Functions inherited from Avro.IO.InputStream
override void | Flush ()
override long | Seek (long offset, SeekOrigin origin)
override void | SetLength (long value)
override void | Write (byte[] buffer, int offset, int count)

## Properties
override long | Length`[get]`
| Throws a NotSupportedException. More...
Properties inherited from Avro.IO.InputStream
override bool | CanRead`[get]`
override bool | CanSeek`[get]`
override bool | CanWrite`[get]`
override long | Position`[get, set]`

## Detailed Description

Utility to present MemoryStreams as an InputStream.

See also
  ByteBufferOutputStream

## Constructor & Destructor Documentation

## ◆ ByteBufferInputStream()

Avro.IO.ByteBufferInputStream.ByteBufferInputStream | ( | IList< MemoryStream > | buffers | ) |
| inline

Initializes a new instance of a ByteBufferInputStream.

Parameters

  buffers |

## Property Documentation

## ◆ Length

override long Avro.IO.ByteBufferInputStream.Length
| get

Throws a NotSupportedException.

Exceptions

  NotSupportedException | Always throws.

The documentation for this class was generated from the following file:

- src/apache/main/IO/ByteBufferInputStream.cs